//------------------------------------------------------------------------------
// MainMenu.java:
//		Implementation for menu creation class MainMenu
//
//------------------------------------------------------------------------------
import java.awt.*;

public class MainMenu
{
	Frame   m_Frame        = null;
	boolean m_fInitialized = false;

	// MenuBar definitions
	//--------------------------------------------------------------------------
	MenuBar mb;

	// Menu and Menu item definitions
	//--------------------------------------------------------------------------
	Menu m1;	// Team Sports
	MenuItem Football;	// Footbal
	MenuItem Baseball;	// Baseball
	Menu m4;	// Individual Sports
	MenuItem Swimming;	// Swimming
	Menu m6;	// Racquet Sports
	MenuItem Tennis;	// Tennis
	MenuItem Racquetball;	// Racquetball

	// Constructor
	//--------------------------------------------------------------------------
	public MainMenu (Frame frame)
	{
		m_Frame = frame;
	}

	// Initialization.
	//--------------------------------------------------------------------------
	public boolean CreateMenu()
	{
		// Can only init controls once
		//----------------------------------------------------------------------
		if (m_fInitialized || m_Frame == null)
			return false;

		// Create menubar and attach to the frame
		//----------------------------------------------------------------------
		mb = new MenuBar();
		m_Frame.setMenuBar(mb);

		// Create menu and menu items and assign to menubar
		//----------------------------------------------------------------------
		m1 = new Menu("Team Sports");
		mb.add(m1);
			Football = new MenuItem("Footbal");
			m1.add(Football);
			Baseball = new MenuItem("Baseball");
			m1.add(Baseball);
		m4 = new Menu("Individual Sports");
		mb.add(m4);
			Swimming = new MenuItem("Swimming");
			m4.add(Swimming);
			m6 = new Menu("Racquet Sports");
			m4.add(m6);
				Tennis = new MenuItem("Tennis");
				m6.add(Tennis);
				Racquetball = new MenuItem("Racquetball");
				m6.add(Racquetball);

		m_fInitialized = true;
		return true;
	}
}
